<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "/opt/nevisproxy/dtd/web-app_2_3.dtd">
<web-app>
    <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
    <filter>
        <filter-name>ErrorHandler_Default</filter-name>
        <filter-class>ch::nevis::isiweb4::filter::error::ErrorFilter</filter-class>
        <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
        <init-param>
            <param-name>PlaceHolders</param-name>
            <param-value>
                TRANSFER_ID:TRANSFER_ID
                TIMESTAMP:TIMESTAMP
            </param-value>
        </init-param>
        <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
        <init-param>
            <param-name>StatusCode</param-name>
            <param-value>
                403:Hosting_Default:/errorpages/403.html:reset-header:keep-status-code
                404:Hosting_Default:/errorpages/404.html:keep-header:keep-status-code
                500:Hosting_Default:/errorpages/500.html:reset-header:keep-status-code
                502:Hosting_Default:/errorpages/502.html:keep-header:keep-status-code
            </param-value>
        </init-param>
    </filter>
    <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
    <filter>
        <filter-name>Qos</filter-name>
        <filter-class>ch:nevis:navajo:apglue:httpd_2_4_x:servlet:ApacheConfigFilter</filter-class>
        <filter-lib>libApache2_4_Servlet.so.1</filter-lib>
        <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
        <init-param>
            <param-name>ServerConfig</param-name>
            <param-value>
                QS_SrvMaxConnClose 85%
                QS_SrvMaxConnPerIP 75 500
                QS_SrvMinDataRate 120 1500 500
            </param-value>
        </init-param>
    </filter>
    <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
    <filter>
        <filter-name>ResponseHeader_Default</filter-name>
        <filter-class>ch::nevis::isiweb4::filter::delegation::HeaderDelegationFilter</filter-class>
        <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
        <init-param>
            <param-name>DelegateToFrontend</param-name>
            <param-value>
                Strict-Transport-Security: max-age=63072000
                X-Content-Type-Options: nosniff
                Referrer-Policy: strict-origin-when-cross-origin
            </param-value>
        </init-param>
    </filter>
    <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
    <filter-mapping>
        <filter-name>ErrorHandler_Default</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
    <filter-mapping>
        <filter-name>ResponseHeader_Default</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <servlet>
        <servlet-name>Hosting_Default</servlet-name>
        <servlet-class>ch::nevis::isiweb4::servlet::defaults::DefaultServlet</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>Hosting_Default</servlet-name>
        <url-pattern>/*</url-pattern>
    </servlet-mapping>
    <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
    <mime-mapping>
        <extension>css</extension>
        <mime-type>text/css</mime-type>
    </mime-mapping>
    <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
    <mime-mapping>
        <extension>ico</extension>
        <mime-type>image/x-icon</mime-type>
    </mime-mapping>
    <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
    <mime-mapping>
        <extension>png</extension>
        <mime-type>image/png</mime-type>
    </mime-mapping>
    <!-- source: pattern://23dc4a9fcc79a12d82662747 -->
    <mime-mapping>
        <extension>html</extension>
        <mime-type>text/html</mime-type>
    </mime-mapping>
</web-app>
